package com.iformall.enums;

/**
 * Created by luozukai
 * 短信模板
 */
public enum EnumMailMsgModel {
    MAIL_PASS_NODIFY(10, "审批通过通知"),
    MAIL_BILL_WAIT_PAY(11, "待缴账单通知"),
    MAIL_APPLY_NODIFY(12, "审批通知"),
    MAIL_BILL_OWE(13, "欠缴账单通知"),
    MAIL_ASSIGNEE_NODIFY(14, "代办通知"),
    MAIL_REJECT_NODIFY(15, "驳回通知"),

    //卷
    MAIL_C_PASS_NODIFY(24, "审批通过通知"),
    MAIL_C_APPLY_NODIFY(25, "审批通知"),
    MAIL_C_ASSIGNEE_NODIFY(26, "代办通知"),
    MAIL_C_REJECT_NODIFY(27, "驳回通知"),
    ;

    public static EnumMailMsgModel getEnum(Integer code) {
        for (EnumMailMsgModel value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMailMsgModel(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
